App\Library\Amazon\Classes\Binocular:
    xml_root_name: Binocular
    properties:
        binocularType:
            expose: true
            access_type: public_method
            serialized_name: BinocularType
            accessor:
                getter: getBinocularType
                setter: setBinocularType
            type: string
        focusType:
            expose: true
            access_type: public_method
            serialized_name: FocusType
            accessor:
                getter: getFocusType
                setter: setFocusType
            type: string
        prismType:
            expose: true
            access_type: public_method
            serialized_name: PrismType
            accessor:
                getter: getPrismType
                setter: setPrismType
            type: string
        objectiveLensDiameter:
            expose: true
            access_type: public_method
            serialized_name: ObjectiveLensDiameter
            accessor:
                getter: getObjectiveLensDiameter
                setter: setObjectiveLensDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        exitPupilDiameter:
            expose: true
            access_type: public_method
            serialized_name: ExitPupilDiameter
            accessor:
                getter: getExitPupilDiameter
                setter: setExitPupilDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        fieldOfView:
            expose: true
            access_type: public_method
            serialized_name: FieldOfView
            accessor:
                getter: getFieldOfView
                setter: setFieldOfView
            type: App\Library\Amazon\Classes\LengthDimensionType
        apparentAngleOfView:
            expose: true
            access_type: public_method
            serialized_name: ApparentAngleOfView
            accessor:
                getter: getApparentAngleOfView
                setter: setApparentAngleOfView
            type: App\Library\Amazon\Classes\DegreeDimensionType
        realAngleOfView:
            expose: true
            access_type: public_method
            serialized_name: RealAngleOfView
            accessor:
                getter: getRealAngleOfView
                setter: setRealAngleOfView
            type: App\Library\Amazon\Classes\DegreeDimensionType
        eyeRelief:
            expose: true
            access_type: public_method
            serialized_name: EyeRelief
            accessor:
                getter: getEyeRelief
                setter: setEyeRelief
            type: App\Library\Amazon\Classes\LengthDimensionType
        diopterAdjustmentRange:
            expose: true
            access_type: public_method
            serialized_name: DiopterAdjustmentRange
            accessor:
                getter: getDiopterAdjustmentRange
                setter: setDiopterAdjustmentRange
            type: string
        coating:
            expose: true
            access_type: public_method
            serialized_name: Coating
            accessor:
                getter: getCoating
                setter: setCoating
            type: string
        eyepieceLensConstruction:
            expose: true
            access_type: public_method
            serialized_name: EyepieceLensConstruction
            accessor:
                getter: getEyepieceLensConstruction
                setter: setEyepieceLensConstruction
            type: string
        objectiveLensConstruction:
            expose: true
            access_type: public_method
            serialized_name: ObjectiveLensConstruction
            accessor:
                getter: getObjectiveLensConstruction
                setter: setObjectiveLensConstruction
            type: string
        tripodReady:
            expose: true
            access_type: public_method
            serialized_name: TripodReady
            accessor:
                getter: getTripodReady
                setter: setTripodReady
            type: boolean
        features:
            expose: true
            access_type: public_method
            serialized_name: Features
            accessor:
                getter: getFeatures
                setter: setFeatures
            xml_list:
                inline: true
                entry_name: Features
            type: array<string>
        magnification:
            expose: true
            access_type: public_method
            serialized_name: Magnification
            accessor:
                getter: getMagnification
                setter: setMagnification
            type: App\Library\Amazon\Classes\ZoomDimensionType
        specificUses:
            expose: true
            access_type: public_method
            serialized_name: SpecificUses
            accessor:
                getter: getSpecificUses
                setter: setSpecificUses
            type: string
